const {test, expect} = require("@jest/globals");
const lib = require("./lib");

test("sum([1, 2]) should be 3", () =>{
    expect(lib.sum([1, 2])).toBe(3);
});

test("avg([-5, 5]) should be 0", () =>{
    expect(lib.avg([-5, 5])).toBe(0);
});

test("max([0, 3, 2]) should be 3", () =>{
    expect(lib.max([0, 3, 2])).toBe(3);
});

test("min([1, -1, 10, -5]) should be -5", () => {
    expect(lib.min([1, -1, 10, -5])).toBe(-5);
});

test ("med([4, 2, -3, 0, 5]) should be 2", () => {
    expect(lib.med([4, 2 -3, 0, 5])).toBe(2);
});

test ("med([3, -1, 2, 4]) should be 2.5", () => {
    expect(lib.med([3, -1, 2, 4])).toBe(2.5);
})