function sum(numbers){
    return numbers.reduce((prev, curr) => prev + curr, 0);
}

function avg(numbers){
    return sum(numbers) / numbers.length;
}

function max(numbers){
    return numbers.reduce((max, curr) => (max > curr ? max : curr), numbers[0]);
}

function min(numbers){
    return numbers.reduce((max, curr) => (max < curr ? max : curr), numbers[0]);
}

function med(numbers){
    const sorted = numbers.sort((a, b) => a - b);
    if (numbers.length % 2 == 1){
        return sorted[(numbers.length - 1) / 2];
    } else {
        return (sorted[numbers.length / 2] + sorted[numbers.length / 2 - 1]) / 2;
    }
}

module.exports = {
    sum,
    avg,
    max,
    min,
    med,
};